List Financial Institutions
GET
/remittance-middleware/list/financial/institutions
The List Financial Institutions endpoint is used to retrieve a list of financial institutions that are supported by the CSL Pay remittance middleware. A partner would call this endpoint when they need to determine which financial institutions are available for payout transactions. The endpoint returns a list of financial institutions, each with associated country code information.
Request body (optional)
This endpoint accepts a body with no declared schema.
Response 200
An array of objects. Each item has these fields:
-
financialInstitutionCode
-
financialInstitutionName
-
countryCode
-
countryCode
-
countryName
-
status
-
isSenderCountry
-
isReceiverCountry
-
timeMode
-
currencyResponse
-
alphabeticCurrencyISOCode
-
numericCurrencyISOCode
-
minorUnit
-
currencyName
-
status
-
-
fixedWindowDurationInHours
-
accountNumberIsFixedLength
-
accountNumberLength
-
-
institutionCode
-
status
-
mobileMoney
Errors
| Status | Meaning |
|---|---|
| 400 | Failed to Retrieve Financial Institutions |